import 'package:get/get.dart';
import 'package:get_demo/modules/home/bindings/home_binding.dart';
import 'package:get_demo/modules/home/views/home_view.dart';
import 'package:get_demo/modules/second/bindings/second_binding.dart';
import 'package:get_demo/modules/second/views/second_view.dart';

/// Description: routes
/// Time       : 05/06/2023 Saturday
/// Author     : liuyuqi.gov@msn.cn
class Routes {
  static const String home = "/home";
  static const second = "/second";

  static final routes = [
    GetPage(name: home, page: () => HomeView(), binding: HomeBinding()),
    GetPage(name: second, page: () => SecondView(), binding: SecondBinding())
  ];
}
